<!DOCTYPE html>
<html lang="en-GB">
<head>
  <meta charset="utf-8" />
  <title>Test Page for YouTube Video Player with title Attribute | Accessibility Works</title>
  <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes" />
  <link rel="stylesheet" type="text/css" media="screen" href="../../../css/verdemoderna.css" title="default" />
  <link rel="top" href="../../../index.html" title="Accessibility Works: Home page" />
  <meta name="robots" content="noindex, nofollow" />
</head>
<body>
  <header id="header">
    <h1><span class="h1txt">Test Page for YouTube Video Player with <code>title</code> Attribute</span></h1>
  </header>

  <main id="main">
    <section>
      <h2>Richard Stallman on Free Software</h2>
      <p>For testing purposes, the <code>iframe</code> element below has a
        <a href="https://html.spec.whatwg.org/#attr-title"><code>title</code> attribute</a> saying,
        <q>YouTube video: Digital Tipping Point: Richard Stallman Talks about the Four Freedoms and the Free Software Movement</q>.
        YouTube's default <code>title</code> attribute value is <q>YouTube video player</q>.
      </p>
      <h3>The Video</h3>
      <iframe width="560" height="315" src="https://www.youtube-nocookie.com/embed/hBgTmX0XHfw"
        title="YouTube video: Digital Tipping Point: Richard Stallman Talks about the Four Freedoms and the Free Software Movement"
        allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen="allowfullscreen">
      </iframe>
      <p>Link to the original YouTube video:
        <a href="https://www.youtube.com/watch?v=hBgTmX0XHfw">Digital Tipping Point: Richard Stallman Talks about the Four Freedoms and the Free Software Movement</a> (duration: 3 minutes, 29 seconds).
        <br />See <a href="https://developers.google.com/youtube/player_parameters">YouTube Embedded Players and Player Parameters</a>
        for an explanation of how to embed a YouTube player in a web page.
        (The code used on this page was generated by clicking the &ldquo;Share&rdquo; below the video on YouTube.com.)
      </p>
    </section>
    <section>
      <h2>Selected Test Results</h2>
      <ul>
        <li><abbr>NVDA</abbr> 2022.2 with Microsoft Edge version 110.0.1587.63: the screen reader reads the <code>iframe</code> elements's <code>title</code> attribute.
          There is nothing else that unambiguously identifies the frame's content as a video, nor is there any other source for the video's title.
          All video controls can be used with a keyboard and are correctly announced. When a control has a keyboard shortcut, this is also read out.
        </li>
        </li>
        <li><abbr>NVDA</abbr> 2022.2 with Firefox 111.0.1: when tabbing to the video,
          the screen reader speaks the <code>iframe</code>'s <code>title</code> attribute,
          then speaks the other interactive elements in the video player when they receive keyboard focus.
        </li>
        <!--
        <li><abbr>NVDA</abbr> 2022.2 with Edge 111.0.1661.62: (&hellip;)
        </li>
        -->
        <li><abbr>NVDA</abbr> 2022.2 with Google Chrome 112.0.5615.50: when tabbing to the video,
          the screen reader speaks the <code>iframe</code>'s <code>title</code> attribute,
          then speaks the other interactive elements in the video player.
        </li>
      </ul>
    </section>
  </main>

  <footer id="footer">
    <p id="licence">
      <a class="image" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">
      <img alt="Creative Commons License Attribution-ShareAlike" style="border-width:0" src="../../../img/cc-licence-by-sa-88x31.png" />
      </a>
      <br />
      <a href="https://cstrobbe.gitlab.io/A11yWorks/">Accessibility Works</a>
      by <a href="https://gitlab.com/cstrobbe">Christophe Strobbe</a> is licensed under a
      <a lang="en-US" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International License</a>.
    </p>
    <p><a href="../../../sitemap.html">Site map</a>.</p>
    <p>You can <a href="https://gitlab.com/cstrobbe/A11yWorks">fork the code</a> on GitLab.</p>
  </footer>
</body>
</html>